# Ente Cloudron App

This repository contains the Cloudron packaging for [Ente](https://ente.io), an open-source, end-to-end encrypted alternative to Google Photos and Apple Photos.

## Features

- Self-host your own encrypted photo backup service
- Automatically integrates with Cloudron's PostgreSQL database
- Uses Cloudron's object storage for file storage
- Configured to use Cloudron's mail service for sending emails
- Easy to deploy and manage through the Cloudron interface

## Building and Installing

### Option 1: Build and Install Manually

1. Clone this repository:
   ```
   git clone https://github.com/yourusername/ente-cloudron.git
   cd ente-cloudron
   ```

2. Download the Cloudron CLI:
   ```
   npm install -g cloudron
   ```

3. Build the app:
   ```
   cloudron build
   ```

4. Install the app:
   ```
   cloudron install --app ente.yourdomain.com
   ```

### Option 2: Install from the Cloudron App Store

Once this app is accepted into the Cloudron App Store, you can install it directly:

1. Go to your Cloudron dashboard
2. Click "App Store"
3. Search for "Ente"
4. Click "Install"

## Configuration

The app is configured automatically using Cloudron's environment variables for:

- PostgreSQL database connection
- S3-compatible object storage
- SMTP mail service
- App origin URL

## Usage

### Web Client

After installation, you can access the Ente web client at your app's URL. Create an admin account on first use.

### Mobile Apps

You can use the official Ente mobile apps with your self-hosted server:

1. Download the Ente app from the [App Store](https://apps.apple.com/app/id1542026904) or [Google Play](https://play.google.com/store/apps/details?id=io.ente.photos)
2. During login, choose "Custom Server"
3. Enter your Cloudron app URL (e.g., `https://ente.yourdomain.com`)

## Updating

To update to a newer version:

```
cloudron update --app ente.yourdomain.com
```

## Troubleshooting

For issues specific to the Cloudron packaging, please open an issue in this repository.

For issues with Ente itself, please refer to the [main Ente repository](https://github.com/ente-io/ente).

## License

This Cloudron package is licensed under the same license as Ente (Apache 2.0). 