---
title: Albums
description: Using albums in Ente Photos
---

# Albums

## Preserving folder structure

When you upload photos and videos into Ente using the desktop app - whether by
dragging and dropping a folder or zip file (or selecting it in the "Upload"
selector), or by setting up a [folder watch](/photos/features/watch-folders) -
the app will provide you various options.

### Uploading files or a folder without nesting

If you are trying to just upload some files, then the app will provide you a
selector where you can choose to (a) uploads all the files to an existing Ente
album, or (b) create a new album.

Similarly, if you upload a folder without any nested folders, than the app will
ask if you want to upload them to an existing Ente album, or create a new album.

The app will also try to intelligently determine the name of the new album.

### Uploading a nested folder

If the folder you're trying to upload has nesting and you select the option to
create a new album, you will see two options - **A single album** and **Separate
albums**.

- **Single album** will create a new Ente album with the same name as the
  folder's name, and will then sync all the changes in the folder (and any
  nested folders) to this single album.

- **Separate albums** will create separate albums for each nested folder of the
  selected folder, and will then sync the changes in each nested folder
  separately.

- For example, suppose you have a folder name `Photos` on your computer, and
  inside that folder you have two nested folders named `New Year` and `Summer`.
  In the single album mode, the app will create an Ente album named "Photos" and
  put all the files from both `New Year` and `Summer` there. In the separate
  album mode, the app will create two Ente albums, "New Year" and "Summer", each
  only containing the respective files.

- In separate album mode, only nested folders that have at least one file will
  result in the creation of a new album – empty folders (or folders that only
  contain other folders) will be ignored.

- In separate album mode, only the leafmost folder name is considered. For
  example, both `A/B/C/D/x.png` and `1/2/3/D/y.png` will get uploaded into the
  same Ente album named "D".

> [!NOTE]
>
> Ente albums cannot be nested currently. That is, in the **separate album**
> mode described above, Ente will create a separate album for each nested
> folder, but these Ente albums themselves will not be nested.

## Rename album

Personalize your albums by giving them a meaningful name.

### How to rename an album on your mobile?

- Open the album
- Tap the three dots button in the top right corner of the screen
- Tap _Rename album_, then type in a new name
- Tap on _Rename_ button

### How to rename an album on your web / desktop?

- Open the album
- Click on the overflow menu in the top right corner
- Click the _Rename album_ button
- Type in a new name
- Click on _Rename_ or press enter

## Set album cover

Select any photo you want to use as the cover for your album.

### How to set an album cover on mobile?

- Open the album you want to change
- Tap the three dots button in the top right corner
- From the menu options, select _Set cover_
- A new screen will appear, propmpting you to select the cover photo
- Browse through your photos and tap on the image you want to set as the album
  cover
- Then tap on _Use selected photo_

## View your photos on a map

Explore your memories based on their location.

### How to explore the album's photos in map view?

- Open the album
- Tap on the three dots button in the top right corner
- Select _Map_
- This will show all photos of the album in a map view

## Sort albums

Maintain order in your albums by arranging them from the newest to the oldest.

### How to change the sort order on mobile?

- Open the album
- Tap on the three dots button in the top right corner
- Select _Sort by_
- Tap on the _Newest first_ for the latest, Or _Oldest first_ for the oldest

### How to change the sort order on web / desktop?

- Open the album
- Click on the three dots button in the top right corner
- Click _Sort by_
- Tap on the _Newest first_ for the latest, Or _Oldest first_ for the oldest

## Pin albums

Keep your favorite album at the top by pinning them for quick access.

### How to pin/unpin an album on mobile?

- Open the album
- Tap on the three dots button in the top right corner
- Tap on _Pin album_ / _Unpin album_
